package ru.ldeloff.servermonitorbot.service.command;

import org.springframework.stereotype.Service;
import org.telegram.telegrambots.meta.api.methods.send.SendMessage;
import ru.ldeloff.servermonitorbot.model.User;
import ru.ldeloff.servermonitorbot.service.role.RoleService;
import ru.ldeloff.servermonitorbot.service.user.UserService;
import ru.ldeloff.servermonitorbot.utils.ui.TelegramBotKeyboard;

@Service
public class FirstUseCommand extends CommandTemplate {
    final TelegramBotKeyboard telegramBotKeyboard;

    public FirstUseCommand(UserService userService, RoleService roleService, TelegramBotKeyboard telegramBotKeyboard) {
        super(userService, roleService);
        this.telegramBotKeyboard = telegramBotKeyboard;
    }
    @Override
    public SendMessage actionForAuth(User user, SendMessage message) {
        message.setText("Добро пожаловать " + user.getLogin() + "!");
        return telegramBotKeyboard.uiForm(message);
    }
}
